%global pkgvers 0
%global scdate0 20240621
%global schash0 22d4f356462f2d0872e2454c33b2b9fff4603c61
%global branch0 master
%global source0 https://gerrit.osmocom.org/osmo-msc.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           osmo-msc
Version:        1.11.1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        3GPP MSC (Mobile Switching Centre)
License:        AGPLv3

URL:            https://github.com/osmocom/osmo-msc

BuildRequires:  git gcc autoconf automake libtool doxygen systemd
BuildRequires:  libosmocore-devel libosmo-abis-devel libosmo-netif-devel
BuildRequires:  libdbi-devel libasn1c-devel libsmpp34-devel libosmo-sccp-devel
BuildRequires:  sqlite-devel osmo-mgw-devel osmo-hlr-devel osmo-iuh-devel

%global _lto_cflags %{nil}
%undefine _hardened_build
%undefine _annotated_build

%description
OsmoMSC is an implementation of the 3GPP MSC
(Mobile Switching Centre) network element.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
autoreconf -fi
%configure --enable-shared \
           --disable-static \
           --enable-smpp \
           --enable-iu

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} VERBOSE=0


%install
make install DESTDIR=%{buildroot}


%check
make check || true


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc %{_docdir}/%{name}
%doc README.md
%doc doc contrib
%license COPYING
%{_bindir}/*
%{_unitdir}/*
%config %{_sysconfdir}/*


%changelog
* Sun Aug 26 2018 Cristian Balint <cristian.balint@gmail.com>
- git update releases
